/* Included color classes.. 
	.red 
	.blue 
	.yellow 
	.green
*/
@import url(https://fonts.googleapis.com/css?family=Raleway:400,700);
figure.snip1281 {
  font-family: 'Raleway', Arial, sans-serif;
  color: #fff;
  position: relative;
  float: left;
  overflow: hidden;
  margin: 10px 1%;
  min-width: 230px;
  max-width: 330px;
  max-height: auto;
  width: 100%;
  background-color: #000000;
  color: #ffffff;
  text-align: left;
}
figure.snip1281 * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: all 0.6s ease;
  transition: all 0.6s ease;
}
figure.snip1281 img {
  max-width: 100%;
}
figure.snip1281:after {
  background: #000000;
  width: 0;
  height: 6px;
  position: absolute;
  left: 0;
  top: 0;
  content: '';
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
figure.snip1281 figcaption {
  position: absolute;
  top: 88%;
  left: 0;
  width: 100%;
  padding: 0 30px;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}
figure.snip1281 h2,
figure.snip1281 span {
  margin: 0;
  width: 100%;
 
}
figure.snip1281 h2 {
  font-weight: 400;
  padding-left:2%;
  background-color: rgba(0,102,204,1);
  text-transform: uppercase;
  
}
figure.snip1281 span {
  color: rgba(51,51,51,1);
  font-weight: 200;
  background-color: rgba(255,255,255,1);
  padding-left:2%;
  padding-right:2%;
  text-transform: uppercase;
}
figure.snip1281 a {
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  position: absolute;
  z-index: 1;
}
figure.snip1281.blue:after {
  background-color: rgba(40,60,134,1);;
}
figure.snip1281.blue span {
  color: rgba(51,51,51,1);
}
figure.snip1281.red:after {
  background-color: #c0392b;
}
figure.snip1281.red span {
  color: #d65548;
}
figure.snip1281.yellow:after {
  background-color: rgba(255,204,0,1);
}
figure.snip1281.yellow span {
    color: rgba(51,51,51,1);
}
figure.snip1281.green:after {
  background-color: #27ae60;
}
figure.snip1281.green span {
  color: #36d278;
}
figure.snip1281:hover img,
figure.snip1281.hover img {
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
}
figure.snip1281:hover:after,
figure.snip1281.hover:after {
  width: 100%;
}
/* Demo purposes only */
body {
  background-color: #212121;
}
